OpenMPI 0.1.1

- Main Page
- Related Pages
- Modules
- Data Structures
- Files

Files | Typedefs | Functions
Handler Array Interface

Using this interface you can setup a handler array for reading traces. More...

## Files
file | OTF_HandlerArray.h
| Provides read access to OTF traces which consist of multiple streams.

## Typedefs
typedef int( | OTF_FunctionPointer )(void *userData)
| Generic function pointer for OTF record handlers. More...
typedef struct struct_OTF_HandlerArray | OTF_HandlerArray
| Object type which holds OTF record handlers. More...

## Functions
OTF_HandlerArray * | OTF_HandlerArray_open (void)
| Open a new array of handlers. More...
int | OTF_HandlerArray_close (OTF_HandlerArray *handlers)
| Close and delete a OTF_HandlerArray object. More...
int | OTF_HandlerArray_setHandler (OTF_HandlerArray *handlers, OTF_FunctionPointer *pointer, uint32_t recordtype)
| Assign the function pointer to your own handler of the given record type. More...
int | OTF_HandlerArray_setFirstHandlerArg (OTF_HandlerArray *handlers, void *firsthandlerarg, uint32_t recordtype)
| Assign the first argument to your own handler of the given record type.
int | OTF_HandlerArray_getCopyHandler (OTF_HandlerArray *handlers, OTF_Writer *writer)
| Provide copy handlers to every record type. More...
int | OTF_HandlerArray_getCopyHandler_stream (OTF_HandlerArray *handlers, OTF_WStream *writer)
| Provide copy handlers to every record type for OTF streams. More...

## Detailed Description

Using this interface you can setup a handler array for reading traces.

## Typedef Documentation

typedef int( OTF_FunctionPointer)(void *userData)

Generic function pointer for OTF record handlers.

typedef struct struct_OTF_HandlerArray OTF_HandlerArray

Object type which holds OTF record handlers.

## Function Documentation

int OTF_HandlerArray_close | ( | OTF_HandlerArray * | handlers | ) |

Close and delete a OTF_HandlerArray object.

int OTF_HandlerArray_getCopyHandler | ( | OTF_HandlerArray * | handlers,
|  | OTF_Writer * | writer
| ) |  |

Provide copy handlers to every record type.

References OTF_HandlerArray_setFirstHandlerArg(), and OTF_HandlerArray_setHandler().

int OTF_HandlerArray_getCopyHandler_stream | ( | OTF_HandlerArray * | handlers,
|  | OTF_WStream * | writer
| ) |  |

Provide copy handlers to every record type for OTF streams.

References OTF_HandlerArray_setFirstHandlerArg(), and OTF_HandlerArray_setHandler().

OTF_HandlerArray* OTF_HandlerArray_open | ( | void |  | ) |

Open a new array of handlers.

References struct_OTF_HandlerArray::firsthandlerarg, and struct_OTF_HandlerArray::pointer.

int OTF_HandlerArray_setHandler | ( | OTF_HandlerArray * | handlers,
|  | OTF_FunctionPointer * | pointer,
|  | uint32_t | recordtype
| ) |  |

Assign the function pointer to your own handler of the given record type.

References struct_OTF_HandlerArray::pointer.

Referenced by OTF_HandlerArray_getCopyHandler(), and OTF_HandlerArray_getCopyHandler_stream().